<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.fragment.data.RouteV3Fragment">


    <include
        android:id="@+id/il_home_route_pet_head_v3"
        layout="@layout/layout_top_pet_data_small"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="@dimen/dp_8"
        android:layout_marginTop="@dimen/dp_8" />

    <androidx.cardview.widget.CardView
        android:id="@+id/cv_home_route_v3_card"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_margin="@dimen/dp_8"
        android:layout_weight="1"
        app:cardCornerRadius="@dimen/dp_32">

        <androidx.fragment.app.FragmentContainerView
            android:id="@+id/fc_home_route_fragment_v3"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <com.abbidot.tracker.widget.MapMarkerInfoView
            android:id="@+id/mi_home_route_address_view_v3"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_home_route_map_type_btn_v3"
            style="@style/map_image_white_btn_style"
            android:layout_gravity="top|end"
            android:layout_margin="@dimen/dp_12" />

    </androidx.cardview.widget.CardView>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/sv_home_route_map_scroll"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">


        <RelativeLayout
            android:id="@+id/rl_home_route_calendar_v3_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_8"
            android:background="@drawable/shape_home_route_calendar_bg"
            android:padding="@dimen/dp_12">

            <View
                android:id="@+id/v_home_route_calendar_center_v3"
                android:layout_width="@dimen/dp_1"
                android:layout_height="@dimen/dp_1"
                android:layout_centerHorizontal="true" />

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/ll_home_route_calendar_from_v3"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/dp_4"
                android:layout_toStartOf="@id/v_home_route_calendar_center_v3"
                android:background="@drawable/shape8_white_gray_bg"
                android:gravity="center"
                android:orientation="horizontal"
                android:paddingVertical="@dimen/dp_8">

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_home_route_calendar_from_v3"
                    style="@style/my_TextView_style_v2"
                    android:layout_marginStart="@dimen/dp_12"
                    android:layout_weight="1"
                    android:gravity="start"
                    android:text="@string/app_name"
                    android:textColor="@color/white"
                    android:textSize="@dimen/textSize12"
                    app:typeface="@string/roboto_regular_font" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="@dimen/dp_8"
                    android:src="@drawable/icon_date_time_svg" />
            </androidx.appcompat.widget.LinearLayoutCompat>


            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/ll_home_route_calendar_to_v3"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignTop="@id/ll_home_route_calendar_from_v3"
                android:layout_alignParentEnd="true"
                android:layout_marginStart="@dimen/dp_4"
                android:layout_toEndOf="@id/v_home_route_calendar_center_v3"
                android:background="@drawable/shape8_white_gray_bg"
                android:gravity="center"
                android:orientation="horizontal"
                android:paddingVertical="@dimen/dp_8">

                <com.abbidot.tracker.widget.TypefaceTextView
                    android:id="@+id/tv_home_route_calendar_to_v3"
                    style="@style/my_TextView_style_v2"
                    android:layout_marginStart="@dimen/dp_12"
                    android:layout_weight="1"
                    android:gravity="start"
                    android:text="@string/app_name"
                    android:textColor="@color/white"
                    android:textSize="@dimen/textSize12"
                    app:typeface="@string/roboto_regular_font" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="@dimen/dp_8"
                    android:src="@drawable/icon_date_time_svg" />
            </androidx.appcompat.widget.LinearLayoutCompat>


            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_map_route_line_v3_last_btn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/ll_home_route_calendar_from_v3"
                android:layout_alignStart="@id/ll_home_route_calendar_from_v3"
                android:layout_marginTop="@dimen/dp_10"
                android:background="@drawable/selector_transparent_pressed"
                android:paddingVertical="@dimen/dp_8"
                android:src="@drawable/icon_left_arrow_image"
                android:visibility="gone" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_map_route_line_v3_next_btn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignTop="@id/iv_map_route_line_v3_last_btn"
                android:layout_alignEnd="@id/ll_home_route_calendar_to_v3"
                android:background="@drawable/selector_transparent_pressed"
                android:paddingVertical="@dimen/dp_8"
                android:src="@drawable/icon_right_arrow_image"
                android:visibility="gone" />

            <com.abbidot.tracker.widget.NoClickSlideSeekBar
                android:id="@+id/vsb_map_route_line_v3"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/ll_home_route_calendar_from_v3"
                android:layout_marginHorizontal="@dimen/dp_2"
                android:layout_marginTop="@dimen/dp_12"
                android:layout_toStartOf="@id/iv_map_route_line_v3_next_btn"
                android:layout_toEndOf="@id/iv_map_route_line_v3_last_btn"
                android:maxHeight="@dimen/dp_8"
                android:progress="100"
                android:progressDrawable="@drawable/shape_seek_bar_style_v3"
                android:splitTrack="false"
                android:thumb="@drawable/icon_bar_thumb_image"
                android:visibility="gone" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/rl_map_route_line_v3_time_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_8"
            android:background="@drawable/shape20_white_half_bottom_bg"
            android:paddingHorizontal="@dimen/dp_14"
            android:paddingBottom="@dimen/dp_22"
            android:visibility="gone">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/ll_map_route_line_v3_zooming_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:clickable="true"
                android:focusable="true"
                android:orientation="vertical"
                android:paddingTop="@dimen/dp_4"
                android:paddingBottom="@dimen/dp_10">

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/v_map_route_line_v3_zooming"
                    android:layout_width="@dimen/dp_30"
                    android:layout_height="@dimen/dp_4"
                    android:layout_centerHorizontal="true"
                    android:layout_gravity="center"
                    android:src="@drawable/shape8_gray_bg" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    style="@style/my_TextView_style_v2"
                    android:layout_below="@id/ll_map_route_line_v3_zooming_layout"
                    android:layout_gravity="end"
                    android:text="@string/txt_time_line"
                    android:textSize="@dimen/textSize12"
                    app:typeface="@string/roboto_regular_font" />
            </androidx.appcompat.widget.LinearLayoutCompat>


            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_history_fence_start_image"
                android:layout_width="@dimen/dp_18"
                android:layout_height="wrap_content"
                android:layout_below="@id/ll_map_route_line_v3_zooming_layout"
                android:layout_marginTop="@dimen/dp_2"
                android:src="@drawable/icon_right_arrow_image"
                android:tint="@color/select_color" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_map_route_line_v3_fences_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/ll_map_route_line_v3_zooming_layout"
                android:layout_marginStart="@dimen/dp_8"
                android:layout_toEndOf="@id/iv_history_fence_start_image" />
        </RelativeLayout>


    </androidx.appcompat.widget.LinearLayoutCompat>

    <View
        android:layout_width="wrap_content"
        android:layout_height="@dimen/dp_40"
        android:background="@color/transparent" />
</androidx.appcompat.widget.LinearLayoutCompat>